
Foreman - Refactor #29520

Wrap sql in Arel.sql() where needed

04/13/2020 03:26 PM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category: Rails   

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7584

  

Description

Related issues:

Related to Foreman - Refactor #23300: Do not use string interpolation when co... Closed

Related to Foreman - Tracker #21834: Rails 5.2 upgrade tasks Closed

Related to Foreman - Tracker #24837: Rails 6.0 Tracker Closed

Blocks Foreman - Tracker #28570: Rails 6.1 Tracker Closed

Blocked by Foreman - Refactor #29532: Update scoped_search to 4.1.8 Closed

Associated revisions

Revision 2c4ee8ca - 04/17/2020 07:33 AM - Michael Moll 

Fixes #29520 - use Arel where needed to wrap SQL

History

#1 - 04/13/2020 03:26 PM - Anonymous

- Related to Refactor #23300: Do not use string interpolation when composing SQL queries. added

#2 - 04/13/2020 03:27 PM - Anonymous

- Related to Tracker #21834: Rails 5.2 upgrade tasks added

#3 - 04/13/2020 03:27 PM - Anonymous

- Blocks Tracker #28570: Rails 6.1 Tracker added

#4 - 04/13/2020 03:27 PM - Anonymous

- Related to Tracker #24837: Rails 6.0 Tracker added

#5 - 04/13/2020 03:33 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7584 added

#6 - 04/15/2020 10:38 AM - Anonymous

- Blocked by Refactor #29532: Update scoped_search to 4.1.8 added

#7 - 04/17/2020 07:34 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#8 - 04/17/2020 08:01 AM - Anonymous

- Status changed from Ready For Testing to Closed
Applied in changeset 2c4ee8cad3057c1f063f8da91eb24240b49bd729.
